import type QuillType from 'quill';
import { AfterViewInit, ElementRef, OnChanges, Renderer2, SimpleChanges, NgZone, OnDestroy, EventEmitter } from '@angular/core';
import { CustomOption, CustomModule, QuillModules } from 'ngx-quill/config';
import { QuillService } from './quill.service';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class QuillViewComponent implements AfterViewInit, OnChanges, OnDestroy {
    elementRef: ElementRef;
    protected renderer: Renderer2;
    protected zone: NgZone;
    protected service: QuillService;
    protected domSanitizer: DomSanitizer;
    protected platformId: any;
    readonly format: import("@angular/core").InputSignal<"object" | "json" | "html" | "text">;
    readonly theme: import("@angular/core").InputSignal<string>;
    readonly modules: import("@angular/core").InputSignal<QuillModules>;
    readonly debug: import("@angular/core").InputSignal<false | "error" | "warn" | "log">;
    readonly formats: import("@angular/core").InputSignal<string[]>;
    readonly sanitize: import("@angular/core").InputSignal<boolean>;
    readonly beforeRender: import("@angular/core").InputSignal<() => Promise<void> | undefined>;
    readonly strict: import("@angular/core").InputSignal<boolean>;
    readonly content: import("@angular/core").InputSignal<any>;
    readonly customModules: import("@angular/core").InputSignal<CustomModule[]>;
    readonly customOptions: import("@angular/core").InputSignal<CustomOption[]>;
    onEditorCreated: EventEmitter<any>;
    quillEditor: QuillType;
    editorElem: HTMLElement;
    private quillSubscription;
    private destroyRef;
    constructor(elementRef: ElementRef, renderer: Renderer2, zone: NgZone, service: QuillService, domSanitizer: DomSanitizer, platformId: any);
    valueSetter: (quillEditor: QuillType, value: any) => any;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuillViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QuillViewComponent, "quill-view", never, { "format": { "alias": "format"; "required": false; "isSignal": true; }; "theme": { "alias": "theme"; "required": false; "isSignal": true; }; "modules": { "alias": "modules"; "required": false; "isSignal": true; }; "debug": { "alias": "debug"; "required": false; "isSignal": true; }; "formats": { "alias": "formats"; "required": false; "isSignal": true; }; "sanitize": { "alias": "sanitize"; "required": false; "isSignal": true; }; "beforeRender": { "alias": "beforeRender"; "required": false; "isSignal": true; }; "strict": { "alias": "strict"; "required": false; "isSignal": true; }; "content": { "alias": "content"; "required": false; "isSignal": true; }; "customModules": { "alias": "customModules"; "required": false; "isSignal": true; }; "customOptions": { "alias": "customOptions"; "required": false; "isSignal": true; }; }, { "onEditorCreated": "onEditorCreated"; }, never, never, true, never>;
}
